/*
 *	LCD interface header file
 *	See lcd.c for more info
 */

/********************************************************/

//LCD kind set -------------------------------
//choose use the LCD module model number

//#define	_LCD0802
#define	_LCD1602
//#define	_LCD2402 

/********************************************************/
//LCD USE port assign ***1.50
#define	LCD_UsePort	LATC
//LCD mask parameter ***1.50
#define LCD_PortMask 0b11110000 //4bit mode 
//LCD control port assign ***1.50
#define LCD_RS LATAbits.LATA2
#define LCD_EN LATAbits.LATA0


//LCD location parameter
//LCD drive for SC1602BS 16 columns 2 lines 
#define	LCD_LineNumber1	0x00
#define	LCD_LineNumber2	0x40
#define	LCD_CursorBlink	0x0f
#define	LCD_CursorOn	0x0e
#define	LCD_CursorOff	0x0c

//LCD location parameter
//LCD drive for SC1602BS 16 columns 2 lines 
#define	LCD_LineNumber1	0x00
#define	LCD_LineNumber2	0x40

//-LCD kind settings **1.20 -------------------------------
#ifdef	_LCD1602
#define	LCD_LineLength1	0x10	//LCD 16x2 **1.20
#endif
#ifdef	_LCD0802
#define	LCD_LineLength1	0x08	//LCD 8x2 **1.20
#endif
#ifdef	_LCD2402
#define	LCD_LineLength1	0x18	//LCD 24x2 **1.20
#endif
#ifdef	_LCD0802
#define	VersionInfo	"ACM0802C"
#endif
#ifdef	_LCD1602
#define	VersionInfo	"SC1602BS "
#endif
#ifdef	_LCD2402
#define	VersionInfo	"SC242A(16F1823) "
#endif

//--------------------------------------------------------

// LCD function define
#define	LCD_LineLength2	(LCD_LineLength1 + LCD_LineNumber2)	// **1.20
#define	LCD_STROBE	((LCD_EN = 1),(LCD_EN = 0))	// spec. min 500ns
//	Set the cursor position
#define	lcd_cursor(x)	lcd_write(((x)&0x7F)|0x80)

// write a byte to the LCD in 4 bit mode
extern void lcd_write(uint8_t);

// Clear and home the LCD
extern void lcd_clear(void);

// write a string of characters to the LCD
extern void lcd_puts(const char * s);

// Go to the specified position
extern void lcd_goto(uint8_t pos);

// intialize the LCD - call before anything else
extern void lcd_init(void);

// Character data set
extern void lcd_putch(uint8_t);

// CG RAM write data set
extern void lcd_cgwrite(uint8_t);

// LCD new line 
extern void lcd_newline(uint8_t);

// LCD space full
extern void lcd_space_full(uint8_t);
