/* 
 * File:   manin.h
 * Author: airvariable
 *
 * Created on 2015/12/19, 00:38
 * Modified 2019/04/07
 * 
 */


// PIC16F1823 Configuration Bit Settings

// 'C' source line config statements

// CONFIG1
#pragma config FOSC = INTOSC    // Oscillator Selection (INTOSC oscillator: I/O function on CLKIN pin)
#pragma config WDTE = OFF       // Watchdog Timer Enable (WDT disabled)
#pragma config PWRTE = ON       // Power-up Timer Enable (PWRT enabled)
#pragma config MCLRE = OFF      // MCLR Pin Function Select (MCLR/VPP pin function is digital input)
#pragma config CP = OFF         // Flash Program Memory Code Protection (Program memory code protection is disabled)
#pragma config CPD = OFF        // Data Memory Code Protection (Data memory code protection is disabled)
#pragma config BOREN = ON       // Brown-out Reset Enable (Brown-out Reset enabled)
#pragma config CLKOUTEN = OFF   // Clock Out Enable (CLKOUT function is disabled. I/O or oscillator function on the CLKOUT pin)
#pragma config IESO = OFF       // Internal/External Switchover (Internal/External Switchover mode is disabled)
#pragma config FCMEN = OFF      // Fail-Safe Clock Monitor Enable (Fail-Safe Clock Monitor is disabled)

// CONFIG2
#pragma config WRT = OFF        // Flash Memory Self-Write Protection (Write protection off)
#pragma config PLLEN = OFF      // PLL Enable (4x PLL disabled)
#pragma config STVREN = ON      // Stack Overflow/Underflow Reset Enable (Stack Overflow or Underflow will cause a Reset)
#pragma config BORV = LO        // Brown-out Reset Voltage Selection (Brown-out Reset Voltage (Vbor), low trip point selected.)
#pragma config LVP = OFF        // Low-Voltage Programming Enable (High-voltage on MCLR/VPP must be used for programming)

// #pragma config statements should precede project file includes.
// Use project enums instead of #define for ON and OFF.

#include <xc.h>
#include <stdint.h>
#include <stdbool.h>

/*******************************************/
/*              define data                */
/*******************************************/

#define _XTAL_FREQ 8000000L	//Change to new notation ***1.50

//Version infomation
#define	VersionCode	"ver1.52"

#define	SW_MODE		RA3 //mode set
#define	SW_LEFT		RA4 //left key
#define	SW_RIGHT	RA5 //right key
#define DisplayMode	0x7f //eeprom display address
#define COM_Speed	0x7e //eeprom display address

//speed
#define Speed1200	249
#define Speed2400	250
#define Speed4800	251
#define Speed9600	252
#define Speed19200	253
#define Speed31250	254	// ***1.33
#define Speed38400	255

#define MIN_Speed	Speed1200	//***1.33
#define MAX_Speed	Speed38400	//***1.33

#define ASCIImode	0xff
#define HEXmode		0xfe

#define MAX_BUFF	64	//Ring buffer ***1.32 need 2^x examlpe 64


//Global settings
//Fifo Data
uint8_t Buffer_FIFO[MAX_BUFF] __at(0x2000); //Change to new notation ***1.50
uint8_t FIFO_write_pointer = 0;
uint8_t FIFO_read_pointer = 0;
uint8_t FIFO_datasize = 0;

