/*----------------------------------------------------------------------------
 project name	:
 file name		: promdata.c                                               
 CPU			:
 note			: EEPROM data set (LCD character data and MISC reg.)
----------------------------------------------------------------------------*/

#include 	<xc.h>

//linear to Log convert table(8bit) and paramater set

__eeprom unsigned char epromvalue[256] = {
	0x0a, 0x1f, 0x1f, 0x1f, 0x1f, 0x0e, 0x04, 0x00,//00-07	CGRAM0 n[g 
	0x04, 0x0e, 0x0e, 0x1f, 0x0e, 0x0e, 0x04, 0x00,//08-0f	CGRAM1 _C
	0x04, 0x0e, 0x1f, 0x1f, 0x1f, 0x15, 0x0e, 0x00,//10-07	CGRAM2 Xy[h
	0x0e, 0x0e, 0x15, 0x1f, 0x1f, 0x04, 0x0e, 0x00,//18-1f	CGRAM3 Nu
	0x04, 0x0a, 0x15, 0x0e, 0x01, 0x07, 0x04, 0x00,//20-27	CGRAM4 
	0x1c, 0x08, 0x1b, 0x0d, 0x1d, 0x1d, 0x0b, 0x00,//28-2f	CGRAM5 a
	0x00, 0x0e, 0x1f, 0x1f, 0x1f, 0x0e, 0x00, 0x00,//30-38	CGRAM6 
	0x02, 0x03, 0x02, 0x02, 0x0e, 0x1e, 0x0c, 0x00,//39-3f	CGRAM7 
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,//40-48 reserved below
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,//49-4f
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,//50-58
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,//58-5f
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,//60-67
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,//68-6F
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,//70-77
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,//78-7F
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,//80-87
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,//87-8F
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,//90-97
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,//98-9f
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,//a0-a7
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,//a8-af
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,//b0-b7
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,//b8-bf
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,//c0-c7
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,//c8-cf
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,//d0-d7
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,//d8-df
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,//e0-e7
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,//e8-ef
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,//f0-f7 //f8-ff config(0xFF)
	
};
