//20151218 fix


//#include <xc.h>
#include "main.h"
#include "sci.h"


uint8_t sci_Init(uint32_t baud, uint8_t ninebits) {
	int16_t X;
	uint32_t tmp;

	/* calculate and set baud rate register */
	/* for asynchronous mode */
	tmp = 16UL * baud;
	X = (int16_t) (FOSC / tmp) - 1;
	if ((X > 255) || (X < 0)) {
		tmp = 64UL * baud;
		X = (int16_t) (FOSC / tmp) - 1;
		if ((X > 255) || (X < 0)) {
			return 1; /* panic - baud rate unobtainable */
		} else
			BRGH = 0; /* low baud rate */
	} else
		BRGH = 1; /* high baud rate */
	SPBRG = (uint8_t)X; /* set the baud rate */

	SYNC = 0; /* asynchronous */
	SPEN = 1; /* enable serial port pins */
	CREN = 1; /* enable reception */
	SREN = 0; /* no effect */
	TXIE = 0; /* disable tx interrupts */
	RCIE = 0; /* disable rx interrupts */
	TX9 = ninebits ? 1 : 0; /* 8- or 9-bit transmission */
	RX9 = ninebits ? 1 : 0; /* 8- or 9-bit reception */
	TXEN = 1; /* enable the transmitter */

	return 0;
}

void sci_PutByte(uint8_t byte) {
	while (!TXIF) /* set when register is empty */
		continue;
	TXREG = byte;

	return;
}

uint8_t sci_GetByte(void) {
	while (!RCIF) /* set when register is not empty */
		continue;

	return RCREG; /* RXD9 and FERR are gone now */
}

uint8_t sci_CheckOERR(void) {
	if (OERR) /* re-enable after overrun error */ {
		CREN = 0;
		CREN = 1;
		return 1;
	}

	return 0;
}

uint8_t sci_GetNinth(void) {
	while (!RCIF)
		continue;

	return (bool)RX9D; /* RCIF is not cleared until RCREG is read */
}

uint8_t sci_GetFERR(void) {
	while (!RCIF)
		continue;

	return (bool)FERR; /* RCIF is not cleared until RCREG is read */
}

